Subject: Re: Java GIT/Eclipse GIT version 0.1.1

From: Shawn Pearce <[email-masked]>
Date: Fri, 28 Jul 2006 23:32:14 -0400

Pavel Roskin <[email-masked]> wrote:
> Quoting Peter Baumann <[email-masked]>:
> 
> > On 2006-07-28, Shawn Pearce <[email-masked]> wrote:
> > > My Java GIT library and Eclipse GIT team provider is now at a point
> > > where it may be partially useful to someone else who is also trying
> > > to write something which interacts with GIT.  Or who might also
> > > be interested in seeing a pure-Java Eclipse team provider for GIT.
> > >
> > > So I've posted my repository (currently ~200 KB) on my website:
> > >
> > >   http://www.spearce.org/projects/scm/egit.git
> > >
> >
> > Doesn't work for me.
> 
> Neither does it for me:
> 
> $ git clone http://www.spearce.org/projects/scm/egit.git
> error: File ac32c7cc2f7cf87a1ed80d0cdfca2af2a0385bb2
> (http://www.spearce.org/projects/scm/egit.git/objects/ac/32c7cc2f7cf87a1ed80d0cdfca2af2a0385bb2)
> corrupt
> Getting pack list for http://www.spearce.org/projects/scm/egit.git/
> error: XML error: not well-formed (invalid token)

Hmm.  My website is known to return 200 OK status codes on missing
files with HTML pages rather than proper 404 Not Found.  I guess
I need to get that fixed.

I just compiled and installed `next` (1.4.2.rc1.g802da) and it can
clone this repository just fine over HTTP, despite my broken server.
So I'm not really sure what is going on.

I should look into fixing my server, but its low on my priority list.

-- 
Shawn.